classification
Title: Modules/readline.c fails to compile on AIX 4.2
Type: behavior Stage: resolved
Components: Build Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: ajaksu2, akuchling, mikent
Priority: low Keywords:

Created on 2006-11-16 15:37 by mikent, last changed 2009-04-25 21:39 by ajaksu2. This issue is now closed.

Messages (3)
msg61036 - (view) Author: Mike Kent (mikent) Date: 2006-11-16 15:37
Python 2.5 Modules/readline.c line 681 is:

	return completion_matches(text, *on_completion);

on_completion is a function declared as:

static char *on_completion(char *text, int state);

completion_matches is a macro that expands to: 

rl_completion_matches((x), ((rl_compentry_func_t *)(y)))

SO, the second parameter to completion_matches should be a function pointer (on_completion), not the dereferenced function pointer that is currently passed to it (*on_completion).
msg61037 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2006-12-19 14:50
Can you please provide a patch that fixes things?  It's difficult for us to provide a patch that will fix the problem on AIX because we don't have access to an AIX machine for testing.
msg84584 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-30 17:23
I'll close this on lack of feedback unless someone voices opposition.
History
Date User Action Args
2009-04-25 21:39:34ajaksu2setstatus: pending -> closed
resolution: out of date
stage: test needed -> resolved
2009-03-30 17:23:39ajaksu2setstatus: open -> pending
priority: normal -> low
type: behavior

versions: + Python 2.6, - Python 2.5
nosy: + ajaksu2

messages: + msg84584
stage: test needed
2006-11-16 15:37:41mikekent.historiccreate